공개 APIAPI 레퍼런스Deployments
배포 상세를 조회합니다
베타 API
/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
GET
/v1/deployments/{deploymentId}배포와 compute 상태 및 manifest 요약을 조회합니다. ntro deployments show 명령에 대응합니다.
인증
bearerAuth 인증Bearer <token>
로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.
위치: header
경로 매개변수
deploymentId*string
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/string"{ "compute": { "imageDigest": "string", "imageStatus": "string", "kind": "string", "maxInstances": 0, "minInstances": 0, "port": 0, "regions": [ "string" ], "sources": { "maxInstances": "string", "minInstances": "string", "port": "string", "regions": "string", "tier": "string" }, "tier": "string" }, "deployment": { "appId": "string", "createdAt": "string", "errorCode": "string", "fileCount": 0, "id": "string", "meta": true, "preview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "readyAt": "string", "redeployOf": "string", "shortId": "string", "status": "string", "target": "string", "totalBytes": 0, "url": "string", "urls": [ "string" ] }, "manifestSummary": { "bytes": 0, "files": 0, "rules": 0 }}